<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:template match="/">
		<HTML>
		<HEAD>
		<TITLE>
		Métro
		</TITLE>
		</HEAD>
		<BODY>
		<H1>
		Lignes de métro
		</H1>
		<TABLE border="1">
			<TBODY>
				<xsl:apply-templates />
			</TBODY>
		</TABLE>
		</BODY>
		</HTML>
	</xsl:template>

<!-- on ne peut pas se passer de ce template car Underground  
	n'a pas que des Lines ( aussi des Stations) comme enfants.
	Et on ne veut pas descendre vers les stations
	-->
	<xsl:template match="Underground">
			<xsl:apply-templates select="Lines"/>
	</xsl:template>

<!-- on peut se passe de ce template car Line  n'a que des Line comme enfants -->
	<xsl:template match="Lines">
			<xsl:apply-templates select="Line"/>
	</xsl:template>

	<xsl:template match="Line">
		<TR>
		<TD>
			Ligne <xsl:value-of select="@name" ></xsl:value-of>
		</TD>
		</TR>
	</xsl:template>

</xsl:stylesheet>