<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:param name="station" select="'Montparnasse Bienvenue'" />

	<xsl:template match="/">
		<HTML>
		<HEAD>
		<TITLE>
		Lignes de métro passant par la station &quot;<xsl:value-of select="$station"/>&quot;
		</TITLE>
		</HEAD>
		<BODY>
		<H1>
		Lignes de métro passant par la station &quot;<xsl:value-of select="$station"/>&quot;</H1>

		<xsl:for-each select="/Underground/Stations/Station" >
			<!-- il ne devrait y en avoir qu'une -->
			<xsl:if test="@name=$station" >
				<UL>
					<xsl:call-template name="alllines" > 
						<xsl:with-param name="stationRef" select="@id" />
					</xsl:call-template>
				</UL>
			</xsl:if>
		</xsl:for-each>
		</BODY>
		</HTML>
	</xsl:template>

	<xsl:template name="alllines">
		<xsl:param name="stationRef" />
		<xsl:for-each select="/Underground/Lines/Line" >
			<xsl:variable name="currentLine" select="@name"/>
				<xsl:for-each select="StationRef" >
					<xsl:if test="@ref=$stationRef" >						
						<LI>
							Ligne <xsl:value-of select="$currentLine" />
						</LI>
					</xsl:if>
				</xsl:for-each>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>