<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:template match="/">
		<HTML>
		<HEAD>
		<TITLE>
		Matrice des lignes de métro
		</TITLE>
		</HEAD>
		<BODY>
		<H1>
		Matrice des lignes de métro
		</H1>

		<TABLE border="1" >
			<THEAD><TR><TH>Station</TH>
				<xsl:for-each select="/Underground/Lines/Line" >
					<TH><xsl:value-of select="@name" /></TH>
				</xsl:for-each>
			</TR></THEAD>
			<TBODY style="background:blue">
				<xsl:for-each select="/Underground/Stations/Station" >
					<xsl:variable name="stationRef" select="@id" />
					<TR>
						<TD>
							<DIV style="background:white">
								<xsl:number/>
								<xsl:text> </xsl:text>
								<xsl:value-of select="@name" />
							</DIV>
						</TD>
						<xsl:for-each select="/Underground/Lines/Line" >
							<xsl:choose >
								<xsl:when test="count(StationRef[@ref=$stationRef]) &gt; 0" >
									<TD style="background:red">
									</TD>
								</xsl:when >
								<xsl:otherwise>
									<TD style="background:blue">
									</TD>
								</xsl:otherwise>
							</xsl:choose >
						</xsl:for-each>					
					</TR>
				</xsl:for-each>
			</TBODY>			
		
		</TABLE>
		</BODY>
		</HTML>
	</xsl:template>
</xsl:stylesheet>