<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:output method="html" />

	<xsl:template match="/" >
		<html><body>
		<xsl:variable name="array" select="'1!*!2!*!3!*!4!*!5!*!6'" />
	
	
	
		1 er élément :
		<xsl:call-template name="findN">
			<xsl:with-param name="n" select="0"/>
			<xsl:with-param name="s" select="$array"/>		
		</xsl:call-template>
		<hr/>

		3 ème élément :
		<xsl:call-template name="findN">
			<xsl:with-param name="n" select="2"/>
			<xsl:with-param name="s" select="$array"/>		
		</xsl:call-template>
		<hr/>


		Avant dernier élément :
		<xsl:call-template name="findN">
			<xsl:with-param name="n" select="4"/>
			<xsl:with-param name="s" select="$array"/>		
		</xsl:call-template>
		<hr/>
		Dernier élément :
		<xsl:call-template name="findN">
			<xsl:with-param name="n" select="5"/>
			<xsl:with-param name="s" select="$array"/>		
		</xsl:call-template>
		<hr/>
		</body></html>
	</xsl:template>
	

	<xsl:template name="findN">
		<xsl:param name="n" select="0" />
		<xsl:param name="s" select="''" />

		<xsl:choose >
			<xsl:when  test=" $n &gt; 0 " >
				<xsl:call-template name="findN">
					<xsl:with-param name="n" select="$n -1"/>
					<xsl:with-param name="s" select="substring-after($s,'!*!')"/>	
				</xsl:call-template>			
			</xsl:when>
					
			<xsl:otherwise>
				<xsl:variable name="stringEnd" >
					<xsl:value-of select='substring-before($s,"!*!")' />
				</xsl:variable>
				<xsl:choose >
					<xsl:when test=" $stringEnd='' ">
						<xsl:value-of select='$s' />
					</xsl:when>
					<xsl:otherwise>					
						<xsl:value-of select='$stringEnd' />
					</xsl:otherwise>					
				</xsl:choose>
			</xsl:otherwise>

		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>