<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">		
		Maximum AVAILABILITY element is = 
		<xsl:call-template name="findMaxValue">
			<xsl:with-param name="nodeList" select="/CATALOG/PLANT"/>
			<xsl:with-param name="currentMax" select="/CATALOG/PLANT[1]/AVAILABILITY"/>			
		</xsl:call-template>
	</xsl:template>
		
	<xsl:template name="findMaxValue">
		<xsl:param name="nodeList"/>
		<xsl:param name="currentMax" select="0"/>
		<xsl:choose>
			<xsl:when test="count( $nodeList ) &gt; 1">
				<xsl:choose>
					<xsl:when test="number($nodeList[2]/AVAILABILITY) &gt; $currentMax">
						<xsl:call-template name="findMaxValue">
							<xsl:with-param name="nodeList" select="$nodeList[position() != 1]"/>
							<xsl:with-param name="currentMax" select="number($nodeList[2]/AVAILABILITY)"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="findMaxValue">
							<xsl:with-param name="nodeList" select="$nodeList[position() != 2]"/>
							<xsl:with-param name="currentMax" select="$currentMax"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>				
			</xsl:when>
			<xsl:otherwise>	
				<xsl:value-of select="$currentMax"/><xsl:text> (</xsl:text>
				<xsl:value-of select="$nodeList[1]/COMMON"/>)
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>