<!-- ne marche pas - demande de complter XSLT -->

<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output method = "html"  version="4.0" indent="yes"  />
	
	<xsl:strip-space elements="*" />
	
	<xsl:variable name="Total">
		<total>
			<xsl:apply-templates select="Team/Salesperson" mode="data"/>
		</total>
	</xsl:variable>

	<xsl:template match="*" mode="data">
		<xsl:copy >
			<xsl:apply-templates select="* | text() | @*" mode="data"/> 
		</xsl:copy>
	</xsl:template>

	<xsl:template match="@*" mode="data">
		<xsl:copy />
	</xsl:template>

	<xsl:template match="Price" mode="data">
		<xsl:copy >
			<xsl:attribute name="priceInEuro">		
				<xsl:choose>
					<xsl:when test="not( @unit='Euro')">
						<xsl:value-of select=" number(.) div 6.55957" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="." />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			
			<xsl:apply-templates select="text() | @*" mode="data"/>		
		</xsl:copy>
	</xsl:template>	

	<xsl:template match="Salesperson" mode="display">
		<table border="1">
		
		<xsl:value-of select="sum(../Salesperson/Client/Training/Price/@priceInEuro )" />
		
		<xsl:if test="		
		not( sum(Client/Training/Price/@priceInEuro ) &lt; sum(preceding-sibling::Salesperson/Client/Training/Price/@priceInEuro ) )
		" >Le meilleur
		</xsl:if>
		
			<h2>
				<xsl:value-of select="@firstName"/>
				<xsl:text> </xsl:text>
				<xsl:value-of select="@lastName"/>
				<xsl:text> </xsl:text>
			 </h2>
			<tr>
				<th>Client</th><th>Price in euro</th><th>Original price</th>
				<xsl:apply-templates select="Client/Training" mode="display" />
			</tr>
		</table>
		 <h3>
			 Total : <xsl:value-of select="sum(Client/Training/Price/@priceInEuro )"/> Euros
		 </h3>		
		<hr/>
	</xsl:template> 

	<xsl:template match="Training" mode="display">

			<tr>
				<td>
					<xsl:value-of select="../@name" />
				</td>
				<td>
					<xsl:value-of select="format-number(Price/@priceInEuro,'0.00')"/>
				</td>
				<td>
					<xsl:value-of select="Price/text()" />
					<xsl:text> </xsl:text> 
					<xsl:value-of select="Price/@unit" />
				</td>
			</tr>
	</xsl:template> 

	<xsl:template match="/">
		<html>
			<body>
				<xsl:apply-templates select="$Total/total/Salesperson" mode="display" />
			</body>
		</html>
	</xsl:template>
	
</xsl:stylesheet>