<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:output indent="yes" />

<xsl:template match="/">
		<xsl:apply-templates/>	
</xsl:template>

<xsl:template match="*">
	<xsl:copy>
		<xsl:copy-of select="@*" />
		<xsl:apply-templates select="*|text()"/>	
	</xsl:copy>
</xsl:template>

<xsl:template match="@*">
	<xsl:copy/>
</xsl:template>

<xsl:template match="text()">
	<xsl:value-of select="normalize-space(.)" />
</xsl:template>

</xsl:stylesheet>
