<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template name="remove-duplicates">
		<xsl:param name="set" />
		<xsl:param name="startIndex" select="1" />
		<!-- <xsl:value-of select="$startIndex"/><br/> -->
		<xsl:if test="$startIndex &lt; count( $set/* )">
			<xsl:choose>
				<xsl:when test="not ( $set/*[startIndex] = $set/*[position()!=startIndex] )" >
					true<br/>
					<xsl:call-template name="remove-duplicates">
						<xsl:with-param name="set" select="$set"/>
						<xsl:with-param name="startIndex" select="$startIndex+1"/>
					</xsl:call-template>			
				</xsl:when>
				<xsl:otherwise>
					false<br/>			
					<xsl:call-template name="remove-duplicates">
						<xsl:with-param name="set" select="$set/*[ position() != 1 ]"/>
						<xsl:with-param name="startIndex" select="$startIndex"/>
					</xsl:call-template>				
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>				
	</xsl:template>
	
</xsl:stylesheet>
