<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:import href="library.xslt" />

	<xsl:output method="html" version="4.0" encoding="UTF-8" indent="yes"/>
	

	
	<xsl:template match="/">
	
		<html>
			<body>
				<xsl:variable name="set">
					<Set expectedResult="4">
					    <Employee firstName="Bob"/>
					    <Employee firstName="Thurston"/>
					    <Employee firstName="Harold"/>
					    <Employee firstName="Bob"/>
					    <Employee firstName="Thurston"/>
					    <Employee firstName="Hodgkin"/>
					</Set>		
					<Set expectedResult="3">
					    <Employee firstName="Bob"/>
					    <Employee firstName="Thurston"/>
					    <Employee firstName="Harold"/>
					</Set>				    
				</xsl:variable>

				<xsl:for-each select="$set/Set">
					<xsl:variable name="Result">			
						<xsl:call-template name="remove-duplicates">
							<xsl:with-param name="set" select="*" />
						</xsl:call-template>
					</xsl:variable>	
					<br/>
				<xsl:value-of select="$Result" /> 
					<br/>
					Test <xsl:number/><br/>	
					Attendu : <xsl:value-of select="@expectedResult"/><br/>
					Trouvé : <xsl:value-of select="count($Result/*)"/><br/>
					<xsl:choose >
						<xsl:when test="count($Result/*) != @expectedResult ">
							<h2>Test raté</h2>
						</xsl:when>
						<xsl:otherwise>
							<h2>Test réussi</h2>
						</xsl:otherwise>
					</xsl:choose>	
					<hr/>		
				</xsl:for-each>		
		</body>
		</html>
	</xsl:template>
	
</xsl:stylesheet>
