<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" encoding="UTF-8" />

	<xsl:template match="/" >
		<xsl:document href="Stations.txt" >
			<xsl:text>ID*Name&#xa;</xsl:text>
			<xsl:apply-templates select="//Station" />
		</xsl:document>

		<xsl:document href="Lines.txt" >
			<xsl:text>ID*Name*NbStations&#xa;</xsl:text>
			<xsl:apply-templates select="//Line" />
		</xsl:document>
	</xsl:template>
	
	<xsl:template match="Station">
		<xsl:number/>*<xsl:value-of select="@name"/>
		<xsl:text>&#xa;</xsl:text>		
	</xsl:template>
		
	<xsl:template match="Line">
		<xsl:number/>
		<xsl:text>*</xsl:text>
		<xsl:value-of select="@name"/>
		<xsl:text>*</xsl:text>
		<xsl:value-of select="count(StationRef)" />
		<xsl:text>&#xa;</xsl:text>		
	</xsl:template>
	
</xsl:stylesheet>
